
var w=document.body.clientWidth;
var h=document.documentElement.clientHeight;

function $c(bv){
	return document.createElement(bv);
}
function $1(id){
	return document.getElementById(id);
}
function $d(id){
	return document.getElementById(id).style.display;
}

//获取class name标签对象数组
function getElementsClass(classnames){ 
	if(!isIe()){
		var xx=document.getElementsByName(classnames);
		return xx;
	}
	
	var classobj= new Array();//定义数组 
	var classint=0;//定义数组的下标 

	var tags=document.getElementsByTagName("*");//获取HTML的所有标签 
	for(var i in tags){//对标签进行遍历 

		if(tags[i].nodeType==1){//判断节点类型 
	
			var cstr="";
			if(isIe()){
				cstr=tags[i].attributes["class"].value;  
			}else{
				cstr=tags[i].getAttribute("class");
			}
			//if(tags[i].getAttribute("class") == classnames){
			if(cstr == classnames){
				classobj[classint]=tags[i]; 
				classint++;  
			} 
	 
		} 

	} 
	return classobj;//返回组成的数组 
} 

//判断浏览器类型
function isIe(){
	var ie = !-[1,]; 
	if(ie){
		return true;
	}else{
		return false;
	}
}


//获取select值
function getselectionvalue(id){
	var sl=$1(id);
	return sl.options[sl.selectedIndex].value;
}
//获取select值
function getselectionname(id){
	var sl=$1(id);
	return sl.options[sl.selectedIndex].innerHTML;
}
//获取radio值
function getRadioValue(id){
	var rv="";
	var xx=document.getElementsByClassName(id);
	for(var i=0;i<xx.length;i++){
		if(xx[i].checked){
			rv=xx[i].value;
			break;
		}
		
	}
	return rv;
}

//获取Radio的值
function GetRadioValue(RadioName){
  var obj;
  obj=document.getElementsByName(RadioName);
  if(obj!=null){
      var i;
      for(i=0;i<obj.length;i++){
          if(obj[i].checked){
              return obj[i].value;
          }
      }
  }
  return null;
}



//编码
function b64(str){
	return encodeURIComponent(encodeURIComponent(str));
}

function d64(str){
	return decodeURIComponent(decodeURIComponent(str));
}

//是否为空
function ispmsnull(str){
	if(str==null||str.length<1||str.toLowerCase()=="null"||str.indexOf("未提供")!=-1){
	    return true;
	}else{
	    str=str.trim();
	    if(str.length<1)
		return true;
	    
	    return false;
	}
}


function clearNull(str){
    
    if(str==null||str.length<1||str=="null"||str=="NULL"||str=="-"||str=="无"){
        return "";
    }
    
    return str;
    
}

//电话验证
function checkTel(tel){
   var mobile = /^1[3|5|8]\d{9}$/ , phone = /^0\d{2,3}-?\d{7,8}$/;
   return mobile.test(tel) || phone.test(tel);
}
//手机验证
function isphone(tel){
   var mobile = /^1[3|4|5|7|8]\d{9}$/;
   return  mobile.test(tel);
}

//字母数字下划线与@符
function notcontainschinese(str)
{
   var matchstr = /^[a-z][a-z_0-9]*$/i;
    return matchstr.test(str);
}

function ckChinese(str){
	var reg=/[^\x00-\xff]/g;
	if (reg.test(str)==true){
		return true;
	}else{
		return false;
	}
}
//邮箱验证
function ismail(mail){
   var myreg = /^([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+@([a-zA-Z0-9]+[_|\_|\.]?)*[a-zA-Z0-9]+\.[a-zA-Z]{2,3}$/;
   if(!myreg.test(mail)){
	   //myreg.focus();
	   return false;
   }else{
   		return true;
   }
}
function ischinese(hchar){ 
  if (hchar.match(/[^\u4e00-\u9fa5]/g)){
      return false;
  }
  return true;
}

function isnumber(num){
 	var re=/^[1-9][0-9]{0,14}$/
 	if(re.test(num)){
  		return true;
 	}else{
		return false;
	}
}

Date.prototype.Format=function(fmt){  
	  var o = {   
	    "M+" : this.getMonth()+1,                 //月份    
	    "d+" : this.getDate(),                    //日    
	    "h+" : this.getHours(),                   //小时    
	    "m+" : this.getMinutes(),                 //分    
	    "s+" : this.getSeconds(),                 //秒    
	    "q+" : Math.floor((this.getMonth()+3)/3), //季度    
	    "S"  : this.getMilliseconds()             //毫秒    
	  };   
	  if(/(y+)/.test(fmt))   
	    fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));   
	  for(var k in o)   
	    if(new RegExp("("+ k +")").test(fmt))   
	  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));   
	  return fmt;   
	}

//数字货币化
function formatMoney(money){
	return parseFloat(money).toFixed(2);
}

//数字货币化
Number.prototype.formatMoney = function (places, symbol, thousand, decimal) {
	places = !isNaN(places = Math.abs(places)) ? places : 2;
	symbol = symbol !== undefined ? symbol : "$";
	thousand = thousand || ",";
	decimal = decimal || ".";
	var number = this,
		negative = number < 0 ? "-" : "",
		i = parseInt(number = Math.abs(+number || 0).toFixed(places), 10) + "",
		j = (j = i.length) > 3 ? j % 3 : 0;
	//return symbol + negative + (j ? i.substr(0, j) + thousand : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousand) + (places ? decimal + Math.abs(number - i).toFixed(places).slice(2) : "");
	var mm=negative + (j ? i.substr(0, j) + thousand : "") + i.substr(j).replace(/(\d{3})(?=\d)/g, "$1" + thousand) + (places ? decimal + Math.abs(number - i).toFixed(places).slice(2) : "");
	mm=mm.substr(0,mm.length-3);
	return mm;
};


//获取html代码的纯文本
function removeHTMLTag(str) {
	str = str.replace(/<\/?[^>]*>/g,''); //去除HTML tag
	str = str.replace(/[ | ]*\n/g,'\n'); //去除行尾空白
	//str = str.replace(/\n[\s| | ]*\r/g,'\n'); //去除多余空行
	str=str.replace(/&nbsp;/ig,'');//去掉&nbsp;
	str=str.replace(/\s/g,''); //将空格去掉
	return str;
}

function replaceAll(str, sptr, sptr1){
	while (str.indexOf(sptr) >= 0){
	   str = str.replace(sptr, sptr1);
	}
	return str;
}

function Map() {
    this.elements = new Array();

    //获取MAP元素个数
    this.size = function() {
        return this.elements.length;
    };

    //判断MAP是否为空
    this.isEmpty = function() {
        return (this.elements.length < 1);
    };

    //删除MAP所有元素
    this.clear = function() {
        this.elements = new Array();
    };

    //向MAP中增加元素（key, value) 
    this.put = function(_key, _value) {
        this.elements.push( {
            key : _key,
            value : _value
        });
    };

    //删除指定KEY的元素，成功返回True，失败返回False
    this.remove = function(_key) {
        var bln = false;
        try {
            for (i = 0; i < this.elements.length; i++) {
                if (this.elements[i].key == _key) {
                    this.elements.splice(i, 1);
                    return true;
                }
            }
        } catch (e) {
            bln = false;
        }
        return bln;
    };

    //获取指定KEY的元素值VALUE，失败返回NULL
    this.get = function(_key) {
        try {
            for (i = 0; i < this.elements.length; i++) {
                if (this.elements[i].key == _key) {
                    return this.elements[i].value;
                }
            }
        } catch (e) {
            return null;
        }
    };

    //获取指定索引的元素（使用element.key，element.value获取KEY和VALUE），失败返回NULL
    this.element = function(_index) {
        if (_index < 0 || _index >= this.elements.length) {
            return null;
        }
        return this.elements[_index];
    };

    //判断MAP中是否含有指定KEY的元素
    this.containsKey = function(_key) {
        var bln = false;
        try {
            for (i = 0; i < this.elements.length; i++) {
                if (this.elements[i].key == _key) {
                    bln = true;
                }
            }
        } catch (e) {
            bln = false;
        }
        return bln;
    };

    //判断MAP中是否含有指定VALUE的元素
    this.containsValue = function(_value) {
        var bln = false;
        try {
            for (i = 0; i < this.elements.length; i++) {
                if (this.elements[i].value == _value) {
                    bln = true;
                }
            }
        } catch (e) {
            bln = false;
        }
        return bln;
    };

    //获取MAP中所有VALUE的数组（ARRAY）
    this.values = function() {
        var arr = new Array();
        for (i = 0; i < this.elements.length; i++) {
            arr.push(this.elements[i].value);
        }
        return arr;
    };

    //获取MAP中所有KEY的数组（ARRAY）
    this.keys = function() {
        var arr = new Array();
        for (i = 0; i < this.elements.length; i++) {
            arr.push(this.elements[i].key);
        }
        return arr;
    };
}




//查询无果结果
function createNoRecordHtml(tipinfo,tipimg,iw,ih){
	
	var shtml="";
	
	shtml+="<table cellpadding='0' cellpadding='0' style='width:90%;height:90%;padding:10px 0px 10px 0px;'>";
				
		shtml+="<tr>";
			shtml+="<td align='center' valign='middle'>";
				//
				shtml+="<table style='' cellpadding='0' cellspacing='0'>";
					
					if(typeof(tipimg)!="undefined"){	
						shtml+="<tr>";
							shtml+="<td align='center'>";
							
								if(typeof(iw)=="undefined"){
									iw="90";
								}
								if(typeof(ih)=="undefined"){
									ih="90";
								}
								
								shtml+="<img src='images/"+tipimg+"' style='width:"+iw+"px;height:"+ih+"px;'>"
							shtml+="</td>";
						shtml+="</tr>";
					}
							
					
					shtml+="<tr>";
						shtml+="<td align='center'>";
							if(typeof(tipinfo)=="undefined"){
								tipinfo="抱歉！查询没有结果！";
							}
							shtml+="<span style='display:inline-block;font-size:18px;color:#999999;'>"+tipinfo+"</span>";
						shtml+="</td>";
					shtml+="</tr>";

				shtml+="</table>";
				//
			shtml+="</td>";
		shtml+="</tr>";
		
		
	shtml+="</table>";
		
				
	return shtml;
}





//函数名longpress，参数为: 需长按元素的id、长按之后的逻辑函数func
function longpress(id,params, func) {

	var timeOutEvent;
	
	document.querySelector('#' + id).addEventListener('touchstart', function (e) {
	    //开启定时器前先清除定时器，防止重复触发
	    clearTimeout(timeOutEvent);
	    //开启延时定时器,// 长按时间为300ms，可以自己设置
	    timeOutEvent = setTimeout(function () {
			// 调用长按之后的逻辑函数func
			func(params);
	    }, 500);  
		
	});
	
	document.querySelector('#' + id).addEventListener('touchmove', function (e) {
	    //长按过程中，手指是不能移动的，若移动则清除定时器，中断长按逻辑
	    clearTimeout(timeOutEvent);
	    /* e.preventDefault() --> 若阻止默认事件，则在长按元素上滑动时，页面是不滚动的，按需求设置吧 */
	});
	
	document.querySelector('#' + id).addEventListener('touchend', function (e) {
		
	    //若手指离开屏幕时，时间小于我们设置的长按时间，则为点击事件，清除定时器，结束长按逻辑
	    clearTimeout(timeOutEvent);
	});
}



/**
 * 显示几天钱几周前几月前几年前
 * @param d
 * @return
 */
function getFriendlytime(time){
    
    //开始时间
    var d = new Date(time.replace(/-/g, "/") );
    
    //时间差
    var delta = (new Date().getTime()-d.getTime())/1000;
    
    if(delta<=0)
        return time;
    //return d.toLocaleString();
    
    if(delta/(60*60*24*365) > 1)
        return  Math.floor( delta/(60*60*24*365) ) +"年前";
    
    if(delta/(60*60*24*30) > 1)
        return Math.floor( delta/(60*60*24*30) ) +"个月前";
    
    if(delta/(60*60*24*7) > 1)
        return Math.floor( delta/(60*60*24*7)) +"周前";
    
    if(delta/(60*60*24) > 1)
        return Math.floor( delta/(60*60*24) ) +"天前";
    
    if(delta/(60*60) > 1)
        return Math.floor( delta/(60*60) ) +"小时前";
    
    if(delta/(60) > 1)
        return Math.floor( delta/(60) ) +"分钟前";
    
    return "刚刚";
}


//生成弹出框
var popid="popwindowhtml";
function createPopWindowHtml(phtml,pw,ph,showpop,popidpms,rightfill){
	
	//强制移除历史数据开始
	/*
	try{
		document.body.removeChild($1(popid));
	}catch(Exception){}
	try{
		document.body.removeChild($1("popbkdivid"));
	}catch(Exception){}
	*/
	//强制移除历史数据结束

	var shtml="<table style='width:100%;' cellpadding='0' cellspacing='0' border='0'>";
	
		shtml+="<tr style='background-color:#FFF;'>";
			shtml+="<td colspan='2' valign='middle' align ='center' style='width:400px;height:25px;'>";
				shtml+=phtml;
			shtml+="</td>";
		shtml+="</tr>";
	shtml+="</table>";
	
	var popdiv=$c("div");
	popdiv.id=popid;
	popdiv.style.border="#DADADA 0px solid";
	popdiv.style.boxShadow="2px 2px 20px #666666";


	popdiv.style.position="fixed";
	popdiv.style.top=(h-ph)/2+"px";
	//popdiv.style.left=(w-pw)/2+"px";
	popdiv.style.left=w+"px";
	popdiv.style.height=ph+"px";
	popdiv.style.width=pw+"px";
	popdiv.style.zIndex="2000";
	popdiv.style.backgroundColor="#FFFFFF";

	popdiv.innerHTML=shtml;
	
	
	document.body.appendChild(popdiv);
	
	
	if(typeof(showpop)=="undefined"){
	    pop();
	}else{
	    if(showpop=="true"){
			pop();
	    }
	}
	
	//添加滑动效果
	var myVar = window.setInterval(function(){

		var marginLeft=parseInt( $1(popid).style.left);
		if(marginLeft-20>=0){
			$1(popid).style.left=(marginLeft-20)+"px";
		}else{
			$1(popid).style.left="0px";
			//window.body.scroll=false;
			
			//清除定时器
			clearInterval(myVar);
				
		}
		
		
	},15);
	
	
	
}

//关闭弹出页面
function closevideoedit(){
	
	//添加滑动效果
	var myVar=window.setInterval(function(){
		var marginLeft=parseInt( $1(popid).style.left);
		if(marginLeft+20<w){
			$1(popid).style.left=(marginLeft+20)+"px";
		}else{
			$1(popid).style.left=w+"px";
		}
		
		
		//######开始######
		if(parseInt( $1(popid).style.left)>=w){
			
			document.body.removeChild($1(popid));
			try{
				document.body.removeChild($1("popbkdivid"));
			}catch(Exception){
			
			}
			
			//关闭覆盖层
			document.body.style.margin="";
			document.getElementById("md").style.display="none";
			
			
			//清除定时器
			clearInterval(myVar);
			
		}
		//######结束######
		
		
	},15);

	
}

function pop(){
	var b = document.body;
					
	//设置边距为0，是为了全屏遮盖，否则上、右两边会留有边距，不能全屏遮盖
	b.style.margin=0;
	$1("md").style.display="block";
	$1("md").style.height=getScrollHeight() +"px";
	
	var ie = !-[1,]; 
	//实现透明遮盖，如果不需要透明，不需要设置此属性
	if(ie){
		$1("md").style.filter="alpha(opacity=70)";
	}else{
		$1("md").style.opacity="0.7";
	}
}

function getScrollHeight(){
    return Math.max(document.body.scrollHeight,
		document.documentElement.scrollHeight);
}

function resetShodow(editvideodiv){
	//重置弹出框位置
	editvideodiv.style.left=(w-parseInt(editvideodiv.style.width) )/2+"px";
	editvideodiv.style.top=(h-parseInt(editvideodiv.style.height) )/2+"px";
	
	$1("popbkdivid").style.left=( parseInt(editvideodiv.style.left)+10 )+"px";
	$1("popbkdivid").style.top=( parseInt(editvideodiv.style.top)+10 )+"px";
}

//显示弹出框投影
function popShdow(editvideodiv){
	
	//重置弹出框位置
	editvideodiv.style.left=(w-parseInt(editvideodiv.style.width) )/2+"px";
	editvideodiv.style.top=(h-parseInt(editvideodiv.style.height) )/2+"px";
	
	//
	var popbkdiv=$c("div");
	popbkdiv.id="popbkdivid";
	popbkdiv.style.position="fixed";
	popbkdiv.innerHTML="xx";
	popbkdiv.style.zIndex="1999";
	popbkdiv.style.backgroundColor="#666666";
	popbkdiv.style.top=( parseInt(editvideodiv.style.top) +10)+"px";
	popbkdiv.style.left=( parseInt(editvideodiv.style.left)+10)+"px";
	popbkdiv.style.width=parseInt(editvideodiv.style.width) +"px";
	popbkdiv.style.height= parseInt(editvideodiv.style.height)+"px";
	
	var ie = !-[1,]; 
	//实现透明遮盖，如果不需要透明，不需要设置此属性
	if(ie){
		popbkdiv.style.filter="alpha(opacity=70)";
	}else{
		popbkdiv.style.opacity="0.7";
	}
	
	document.body.appendChild(popbkdiv);
	
	//设置可移动
	setEnableMove(editvideodiv);
	
}


